KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME
kubeadm init phase certs apiserver - Generate the certificate for serving the Kubernetes API

SYNOPSIS
kubeadm init phase certs apiserver [OPTIONS]

DESCRIPTION
Generate the certificate for serving the Kubernetes API, and save them into apiserver.crt and apiserver.key files.

If both files already exist, kubeadm skips the generation step and existing files will be used.

OPTIONS
--apiserver-advertise-address=""
    The IP address the API Server will advertise it's listening on. If not set the default network interface will be used.

--apiserver-cert-extra-sans=[]
    Optional extra Subject Alternative Names (SANs) to use for the API Server serving certificate. Can be both IP addresses and DNS names.

--cert-dir="/etc/kubernetes/pki"
    The path where to save and store the certificates.

--config=""
    Path to a kubeadm configuration file.

--control-plane-endpoint=""
    Specify a stable IP address or DNS name for the control plane.

--dry-run=false
    Don't apply any changes; just output what would be done.

--kubernetes-version="stable-1"
    Choose a specific Kubernetes version for the control plane.

--service-cidr="10.96.0.0/12"
    Use alternative range of IP address for service VIPs.

--service-dns-domain="cluster.local"
    Use alternative domain for services, e.g. "myorg.internal".

OPTIONS INHERITED FROM PARENT COMMANDS
--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

SEE ALSO
kubeadm-init-phase-certs(1),

HISTORY
January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!